Bug 1025226 - pykickstart test suite not executed in %check
pykickstart test suite not executed in %check
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pykickstart (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Chris Lumens
Release Test Team
:
Depends On:
Blocks: 1024724
  Show dependency treegraph
 
Reported: 2013-10-31 05:45 EDT by Alexander Todorov
Modified: 2014-06-18 05:11 EDT (History)
1 user (show)

See Also:
Fixed In Version: pykickstart-1.99.43.6-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:18:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2013-10-31 05:45:23 EDT
Description of problem:

See https://fedoraproject.org/wiki/Packaging:Guidelines#Test_Suites


There appears to be two make targets to test the package: make check and make test
but they are not executed in %check.


Version-Release number of selected component (if applicable):
pykickstart-1.99.43-1.el7.src.rpm
Comment 1 Chris Lumens 2013-10-31 09:56:56 EDT
They are run before the source package is built, as well as upon every commit here locally.  What purpose does yet another layer of running the same thing provide?
Comment 2 Chris Lumens 2013-10-31 10:07:41 EDT
I mean, I certainly can add it.  It's not hard.  I'm just wondering why it needs to get run in another place.
Comment 3 Alexander Todorov 2013-11-01 06:14:30 EDT
Hi Chris,
the purpose is to be able to collect the test results and measure test coverage more precisely. QE has no way of getting that info if devel is running the test suite locally. 

Otherwise it's a good thing you have this running.
Comment 4 Chris Lumens 2013-11-20 14:24:14 EST
I've added "make test", but "make check" requires pylint and I don't think we want to add that in to the build process.
Comment 6 Ľuboš Kardoš 2014-02-17 11:13:06 EST
In version pykickstart-1.99.43.8-1.el7.src.rpm  spec file contains:

%check
make test

Moving to verified.
Comment 7 Ludek Smid 2014-06-13 07:18:45 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.